import * as tslib_1 from "tslib";
import { IgrFinancialSeries } from "./igr-financial-series";
/**
 * Represents the base functionality for a IgxDataChartComponent financial overlay series.
 * The difference between a FinancialIndicator and a FinancialOverlay is small.
 * Overlays are usually drawn against the same axes as the price, but they don't
 * have to be. Overlays mostly display multiple values, but not all of them, and so
 * so some indicators.
*/
var IgrFinancialOverlay = /** @class */ (function (_super) {
    tslib_1.__extends(IgrFinancialOverlay, _super);
    function IgrFinancialOverlay(props) {
        return _super.call(this, props) || this;
    }
    Object.defineProperty(IgrFinancialOverlay.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgrFinancialOverlay.prototype, "ignoreFirst", {
        /**
         * Gets or sets the number of values to hide at the beginning of the indicator.
        */
        get: function () {
            return this.i.o8;
        },
        set: function (v) {
            this.i.o8 = +v;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * Scrolls the series to display the item for the specified data item.
     * The series is scrolled by the minimum amount required to place the specified data item within
     * the central 80% of the visible axis.
    
    * @param item  * The data item (item) to scroll to.
    */
    IgrFinancialOverlay.prototype.scrollIntoView = function (item) {
        var iv = this.i.c6(item);
        return (iv);
    };
    return IgrFinancialOverlay;
}(IgrFinancialSeries));
export { IgrFinancialOverlay };
